Skip to main content
GET
/
tokens
get tokens list
curl --request GET \
  --url https://eth.blockscout.com/api/v2/tokens
import requests

url = "https://eth.blockscout.com/api/v2/tokens"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/v2/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "circulating_market_cap": "83606435600.3635",
      "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
      "name": "Tether USD",
      "decimals": "6",
      "symbol": "USDT",
      "type": "ERC-20",
      "exchange_rate": "0.99",
      "total_supply": "10000000",
      "address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
      "holders_count": "837494234523"
    }
  ],
  "next_page_params": {
    "contract_address_hash": "0x68749665ff8d2d112fa859aa293f07a622782f38",
    "holders_count": 1011,
    "is_name_null": false,
    "items_count": 50,
    "market_cap": "482534473.2170469",
    "name": "Tether Gold"
  }
}

Query Parameters

q
string
Example:

"USDT"

type
string
Example:

"ERC-20,ERC-721,ERC-1155"

Response

token

items
object[]
required
next_page_params
object
required
Example:
{
"contract_address_hash": "0x68749665ff8d2d112fa859aa293f07a622782f38",
"holders_count": 1011,
"is_name_null": false,
"items_count": 50,
"market_cap": "482534473.2170469",
"name": "Tether Gold"
}